package com.mints.goodmoney.manager

import android.app.Application
import com.mints.goodmoney.BuildConfig
import com.tencent.smtt.sdk.QbSdk
import com.xr.xrsdk.XRNewsManager

/**
 * 描述：瑞狮新闻
 * 作者：孟崔广
 */
object RsNewsManager {

    private const val APP_ID = "19e575538d2947ad9323e6c2a70d9a7f"
    private const val APP_ID_TEST = "hzqtest"
    private const val WX_APP_ID = "wxc8ac2985f6a805e2"

    /**
     * 初始化
     */
    fun init(application: Application) {
        QbSdk.initX5Environment(application, null)
        if (BuildConfig.DEBUG) {
            XRNewsManager.getInstance().init(application, APP_ID_TEST, WX_APP_ID)
        } else {
            XRNewsManager.getInstance().init(application, APP_ID, WX_APP_ID)
        }
    }
}
