//package com.mints.goodmoney.manager
//
//import android.app.Application
//import android.text.TextUtils
//import com.bytedance.embedapplog.AppLog
//import com.bytedance.embedapplog.InitConfig
//import com.bytedance.embedapplog.util.UriConfig
//import com.bytedance.hume.readapk.HumeSDK
//import com.mints.goodmoney.BuildConfig
//import com.mints.goodmoney.MintsApplication
//import com.mints.library.utils.CommonUtils
//
///**
// * 描述：巨量引擎
// */
//object TouTiaoRangersManager {
//
//    private const val APP_ID = "203759"
//
//    /**
//     * 初始化
//     *
//     * 只有头条分包才初始化
//     */
//    fun init(application: Application) {
//        try {
//            var channel = CommonUtils.getAppMetaData(MintsApplication.getContext(), "CHANNEL_NAME")
//            if (channel.contains(ChannelManager.CHANNEL_TOUTIAO)) {
//                // 穿山甲分包渠道
//                val ttChannel = HumeSDK.getChannel(MintsApplication.getContext())
//                if (!TextUtils.isEmpty(ttChannel)) {
//                    // appid和渠道，appid须保证与广告后台申请记录一致，渠道可自定义，如有多个马甲包建议设置渠道号唯一标识一个马甲包。
//                    val config = InitConfig(APP_ID, channel + "_" + ttChannel)
//                    // 域名默认国内: DEFAULT
//                    config.setUriConfig(UriConfig.DEFAULT);
//                    // 是否在控制台输出日志，可用于观察用户行为日志上报情况，建议仅在调试时使用，release版本请设置为false ！
//                    AppLog.setEnableLog(BuildConfig.DEBUG)
//                    AppLog.init(application, config)
//                }
//            }
//        } catch (e: Exception) {
//            e.printStackTrace()
//        }
//    }
//
//}