package com.mints.goodmoney.mvp.model;

import android.os.Parcel;
import android.os.Parcelable;

import com.bytedance.sdk.openadsdk.TTNativeExpressAd;


public class DrawVideoBean implements Parcelable {

    public int type = 0;
    public TTNativeExpressAd ad;
    public String videoId;
    public String videoUrl;
    public String ImgId;

    public DrawVideoBean(int type, TTNativeExpressAd ad, String videoId, String videoUrl, String imgId) {
        this.type = type;
        this.ad = ad;
        this.videoId = videoId;
        this.videoUrl = videoUrl;
        ImgId = imgId;
    }

    protected DrawVideoBean(Parcel in) {
        type = in.readInt();
        videoId = in.readString();
        videoUrl = in.readString();
        ImgId = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(type);
        dest.writeString(videoId);
        dest.writeString(videoUrl);
        dest.writeString(ImgId);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<DrawVideoBean> CREATOR = new Creator<DrawVideoBean>() {
        @Override
        public DrawVideoBean createFromParcel(Parcel in) {
            return new DrawVideoBean(in);
        }

        @Override
        public DrawVideoBean[] newArray(int size) {
            return new DrawVideoBean[size];
        }
    };
}
