package com.mints.goodmoney.mvp.model;

import java.io.Serializable;
import java.util.List;

public class DrawcashBean implements Serializable {

    private String openid;
    private String nickName;
    private String drawcashRule;
    private String drawcashHint;
    private int coin;
    private double maxCashout;
    private int vedioComplete;
    private String remark;
    private List<CashOutMoneyArrBean> cashOutMoneyArr;
    private VedioRules vedioRules;
    private boolean isJDNewUser;
    private boolean openJDCash = true;
    private String JDUrl = null;

    public String getJDUrl() {
        return JDUrl;
    }

    public void setJDUrl(String JDUrl) {
        this.JDUrl = JDUrl;
    }

    public Boolean getIsJDNewUser() {
        return isJDNewUser;
    }

    public boolean isOpenJDCash() {
        return openJDCash;
    }

    public void setIsJDNewUser(Boolean isJDNewUser) {
        this.isJDNewUser = isJDNewUser;
    }

    public int getVedioComplete() {
        return vedioComplete;
    }

    public String getOpenid() {
        return openid;
    }

    public String getNickName() {
        return nickName;
    }

    public String getDrawcashRule() {
        return drawcashRule;
    }

    public String getDrawcashHint() {
        return drawcashHint;
    }

    public double getMaxCashout() {
        return maxCashout;
    }

    public int getCoin() {
        return coin;
    }

    public String getRemark() {
        return remark;
    }

    public List<CashOutMoneyArrBean> getCashOutMoneyArr() {
        return cashOutMoneyArr;
    }

    public VedioRules getVedioRules() {
        return vedioRules;
    }

    public class VedioRules implements Serializable {
        private int SDHZ_VEDIO;
        private int CSJFULL_VEDIO;
        private int CSJ_VEDIO;
        private int YLH_VEDIO;
        private int FL_VEDIO;
        private int CORAL_VEDIO;
        private int KS_VEDIO;
        private int RTA_VEDIO;

        public int getRTA_VEDIO() {
            return RTA_VEDIO;
        }

        public void setRTA_VEDIO(int RTA_VEDIO) {
            this.RTA_VEDIO = RTA_VEDIO;
        }

        public int getCORAL_VEDIO() {
            return CORAL_VEDIO;
        }

        public int getSDHZ_VEDIO() {
            return SDHZ_VEDIO;
        }

        public int getCSJFULL_VEDIO() {
            return CSJFULL_VEDIO;
        }

        public int getCSJ_VEDIO() {
            return CSJ_VEDIO;
        }

        public int getYLH_VEDIO() {
            return YLH_VEDIO;
        }

        public int getFL_VEDIO() {
            return FL_VEDIO;
        }

        public int getKS_VEDIO() {
            return KS_VEDIO;
        }
    }

    public class CashOutMoneyArrBean implements Serializable {
        private int vedio;
        private double money;
        private boolean canCashOut;
        private String remark;

        public void setCanCashOut(boolean canCashOut) {
            this.canCashOut = canCashOut;
        }

        public int getVedio() {
            return vedio;
        }

        public double getMoney() {
            return money;
        }

        public boolean isCanCashOut() {
            return canCashOut;
        }

        public String getRemark() {
            return remark;
        }
    }
}
