package com.mints.goodmoney.mvp.model;

import java.io.Serializable;
import java.util.List;

public class MyInfo implements Serializable {

    /**
     * autoList : [{"baseConfig":{"buttonText":"去赚钱","coinText":"+2000金币","context":"分分钟赚金币，翻倍还能赚更多","hotType":0,"title":"看首页视频","taskId":"TO_HOME"}},{"otherConfig":{"doubleCoin":50,"max":20,"carrierType":"CHALLENGE_SHAREFRIEND","doubleCarrierType":"CHALLENGE_SHAREFRIEND_DOUBLE","complete":0,"status":0,"coin":50},"baseConfig":{"buttonText":"去邀请","coinText":"+2000金币","runingText":"0/20","context":"每日邀请好友得海量金币","hotType":0,"title":"邀好友,赚金币","taskId":"APP_SHAREFRIEND"}},{"otherConfig":{"max":10,"carrierType":"CHALLENGE_VEDIO","complete":0,"coin":170},"baseConfig":{"buttonText":"赚金币","coinText":"+1700金币","runingText":"0/10","context":"看福利视频得金币，每天中午刷新任务","hotType":0,"title":"看福利视频赚金币","taskId":"APP_VEDIO"}},{"baseConfig":{"buttonText":"赚金币","coinText":"+99999金币","context":"玩趣闻游戏，得海量金币","hotType":0,"title":"玩游戏，赚金币","taskId":"TO_YWHZ"}},{"otherConfig":{"carrierType":"GAME_ONLINE","status":0},"baseConfig":{"buttonText":"赚金币","coinText":"+100金币","runingText":"0/3分钟","context":"试玩游戏,拿惊喜奖励","hotType":0,"title":"试玩平台","taskId":"TO_LIEBAO"}}]
     * userMsg : {"surplus":0,"idcode":"20000001","mobile":"18610711553","coin":5476}
     */

    private UserMsgBean userMsg;
    private QqMsgBean qqMsg;
    private List<AutoListBean> autoList;

    public void setQqMsg(QqMsgBean qqMsg) {
        this.qqMsg = qqMsg;
    }

    public QqMsgBean getQqMsg() {
        return qqMsg;
    }

    public UserMsgBean getUserMsg() {
        return userMsg;
    }

    public void setUserMsg(UserMsgBean userMsg) {
        this.userMsg = userMsg;
    }

    public List<AutoListBean> getAutoList() {
        return autoList;
    }

    public void setAutoList(List<AutoListBean> autoList) {
        this.autoList = autoList;
    }

    public class UserMsgBean implements Serializable {
        /**
         * surplus : 0
         * idcode : 20000001
         * mobile : 18610711553
         * coin : 5476
         */

        private int surplus;
        private String idcode;
        private String mobile;
        private int coin;

        public int getSurplus() {
            return surplus;
        }

        public void setSurplus(int surplus) {
            this.surplus = surplus;
        }

        public String getIdcode() {
            return idcode;
        }

        public void setIdcode(String idcode) {
            this.idcode = idcode;
        }

        public String getMobile() {
            return mobile;
        }

        public void setMobile(String mobile) {
            this.mobile = mobile;
        }

        public int getCoin() {
            return coin;
        }

        public void setCoin(int coin) {
            this.coin = coin;
        }
    }

    public class AutoListBean implements Serializable {
        /**
         * baseConfig : {"buttonText":"去赚钱","coinText":"+2000金币","context":"分分钟赚金币，翻倍还能赚更多","hotType":0,"title":"看首页视频","taskId":"TO_HOME"}
         * otherConfig : {"doubleCoin":50,"max":20,"carrierType":"CHALLENGE_SHAREFRIEND","doubleCarrierType":"CHALLENGE_SHAREFRIEND_DOUBLE","complete":0,"status":0,"coin":50}
         */

        private BaseConfigBean baseConfig;
        private OtherConfigBean otherConfig = null;

        public BaseConfigBean getBaseConfig() {
            return baseConfig;
        }

        public void setBaseConfig(BaseConfigBean baseConfig) {
            this.baseConfig = baseConfig;
        }

        public OtherConfigBean getOtherConfig() {
            return otherConfig;
        }

        public void setOtherConfig(OtherConfigBean otherConfig) {
            this.otherConfig = otherConfig;
        }

        public class BaseConfigBean implements Serializable {
            /**
             * buttonText : 去赚钱
             * coinText : +2000金币
             * context : 分分钟赚金币，翻倍还能赚更多
             * hotType : 0
             * title : 看首页视频
             * taskId : TO_HOME
             */

            private String buttonText;
            private String coinText;
            private String context;
            private int hotType;
            private String title;
            private String taskId;
            private String runingText = null;

            public String getRuningText() {
                return runingText;
            }

            public void setRuningText(String runingText) {
                this.runingText = runingText;
            }

            public String getButtonText() {
                return buttonText;
            }

            public void setButtonText(String buttonText) {
                this.buttonText = buttonText;
            }

            public String getCoinText() {
                return coinText;
            }

            public void setCoinText(String coinText) {
                this.coinText = coinText;
            }

            public String getContext() {
                return context;
            }

            public void setContext(String context) {
                this.context = context;
            }

            public int getHotType() {
                return hotType;
            }

            public void setHotType(int hotType) {
                this.hotType = hotType;
            }

            public String getTitle() {
                return title;
            }

            public void setTitle(String title) {
                this.title = title;
            }

            public String getTaskId() {
                return taskId;
            }

            public void setTaskId(String taskId) {
                this.taskId = taskId;
            }
        }

        public class OtherConfigBean implements Serializable {
            /**
             * doubleCoin : 50
             * max : 20
             * carrierType : CHALLENGE_SHAREFRIEND
             * doubleCarrierType : CHALLENGE_SHAREFRIEND_DOUBLE
             * complete : 0
             * status : 0
             * coin : 50
             */

            private int doubleCoin;
            private int max;
            private String carrierType;
            private String downloadUrl;
            private String pkg;
            private String key;
            private String doubleCarrierType;
            private int complete;
            private int status = 0;
            private int coin;
            private int readCoin;
            private int needSeconds;

            public String getDownloadUrl() {
                return downloadUrl;
            }

            public String getPkg() {
                return pkg;
            }

            public int getNeedSeconds() {
                return needSeconds;
            }

            public String getKey() {
                return key;
            }

            public void setNeedSeconds(int needSeconds) {
                this.needSeconds = needSeconds;
            }

            public int getReadCoin() {
                return readCoin;
            }

            public void setReadCoin(int readCoin) {
                this.readCoin = readCoin;
            }

            public int getDoubleCoin() {
                return doubleCoin;
            }

            public void setDoubleCoin(int doubleCoin) {
                this.doubleCoin = doubleCoin;
            }

            public int getMax() {
                return max;
            }

            public void setMax(int max) {
                this.max = max;
            }

            public String getCarrierType() {
                return carrierType;
            }

            public void setCarrierType(String carrierType) {
                this.carrierType = carrierType;
            }

            public String getDoubleCarrierType() {
                return doubleCarrierType;
            }

            public void setDoubleCarrierType(String doubleCarrierType) {
                this.doubleCarrierType = doubleCarrierType;
            }

            public int getComplete() {
                return complete;
            }

            public void setComplete(int complete) {
                this.complete = complete;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }

            public int getCoin() {
                return coin;
            }

            public void setCoin(int coin) {
                this.coin = coin;
            }
        }
    }

    /**
     * useqq : {"qq":"971534757","name":"好赚钱官方1群","url":"mqqopensdkapi://bizAgent/qm/qr?url=http%3A%2F%2Fqm.qq.com%2Fcgi-bin%2Fqm%2Fqr%3Ffrom%3Dapp%26p%3Dandroid%26jump_from%3Dwebapi%26k%3Dkf-7yVcbY2iKltXVDOtVCPez1zCBNcl4"}
     */

    public class QqMsgBean implements Serializable {

        private UseqqBean useqq;

        public UseqqBean getUseqq() {
            return useqq;
        }

        public void setUseqq(UseqqBean useQQ) {
            this.useqq = useQQ;
        }

        public UserMsgBean getUserMsg() {
            return userMsg;
        }

        public class UseqqBean implements Serializable {
            /**
             * qq : 971534757
             * name : 好赚钱官方1群
             * url : mqqopensdkapi://bizAgent/qm/qr?url=http%3A%2F%2Fqm.qq.com%2Fcgi-bin%2Fqm%2Fqr%3Ffrom%3Dapp%26p%3Dandroid%26jump_from%3Dwebapi%26k%3Dkf-7yVcbY2iKltXVDOtVCPez1zCBNcl4
             */

            private String qq;
            private String name;
            private String url;

            public String getQq() {
                return qq;
            }

            public void setQq(String qq) {
                this.qq = qq;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getUrl() {
                return url;
            }

            public void setUrl(String url) {
                this.url = url;
            }
        }

    }
}
