package com.mints.goodmoney.mvp.model;

import java.io.Serializable;
import java.util.ArrayList;

public class UserTaskMsgBean implements Serializable {

    private OfflineBean offline;
    private UserMsgBean userMsg;
    private ShareNewsBean shareNews;
    private VedioRulesBean vedioRules;
    private BlessingBigMsgBean blessingBigMsg;
    private UserRiskAppsBean userRiskApps;
    private AdcodeBean adcode_v1 = null;
    private FlowAdRulesBean flowAdRules;

    private String ip;
    private String channel;

    private boolean needReportClickAdEvent;

    public boolean isNeedReportClickAdEvent() {
        return needReportClickAdEvent;
    }

    public void setNeedReportClickAdEvent(boolean needReportClickAdEvent) {
        this.needReportClickAdEvent = needReportClickAdEvent;
    }

    public BlessingBigMsgBean getBlessingBigMsgBean() {
        return blessingBigMsg;
    }

    public ShareNewsBean getShareNews() {
        return shareNews;
    }

    public void setShareNews(ShareNewsBean shareNews) {
        this.shareNews = shareNews;
    }

    public void setBlessingBigMsgBean(BlessingBigMsgBean blessingBigMsg) {
        this.blessingBigMsg = blessingBigMsg;
    }

    public class ShareNewsBean implements Serializable {
        private int readCoin;

        public int getReadCoin() {
            return readCoin;
        }

        public void setReadCoin(int readCoin) {
            this.readCoin = readCoin;
        }
    }

    public class BlessingBigMsgBean implements Serializable {
        private int doubleCoin;
        private int surplusCount;
        private int surplusSeconds;
        private int coin;

        public int getDoubleCoin() {
            return doubleCoin;
        }

        public void setDoubleCoin(int doubleCoin) {
            this.doubleCoin = doubleCoin;
        }

        public int getSurplusCount() {
            return surplusCount;
        }

        public void setSurplusCount(int surplusCount) {
            this.surplusCount = surplusCount;
        }

        public int getSurplusSeconds() {
            return surplusSeconds;
        }

        public void setSurplusSeconds(int surplusSeconds) {
            this.surplusSeconds = surplusSeconds;
        }

        public int getCoin() {
            return coin;
        }

        public void setCoin(int coin) {
            this.coin = coin;
        }
    }

    public OfflineBean getOfflineBean() {
        return offline;
    }

    public UserMsgBean getUserMsg() {
        return userMsg;
    }

    public VedioRulesBean getVedioRules() {
        return vedioRules;
    }

    public String getIp() {
        return ip;
    }

    public UserRiskAppsBean getUserRiskApps() {
        return userRiskApps;
    }

    public AdcodeBean getAdcode() {
        return adcode_v1;
    }

    public String getChannel() {
        return channel;
    }

    public FlowAdRulesBean getFlowAdRules() {
        return flowAdRules;
    }
}
