package com.mints.goodmoney.mvp.presenters

import com.google.gson.JsonObject
import com.mints.goodmoney.manager.AppHttpManager
import com.mints.goodmoney.mvp.model.BaseResponse
import com.mints.goodmoney.mvp.views.BookView
import com.mints.goodmoney.mvp.views.RsNewsView
import com.mints.library.net.neterror.BaseSubscriber
import com.mints.library.net.neterror.Throwable
import java.util.*

class RsNewsPresenter : BasePresenter<RsNewsView>() {

    fun addNewsSeconds(seconds: Int) {
        val vo = HashMap<String, Any>()
        vo["time"] = seconds
        AppHttpManager.getInstance(loanApplication)
                .call(loanService.addNewsSeconds(vo),
                        object : BaseSubscriber<BaseResponse<JsonObject>>() {
                            override fun onCompleted() {
                            }

                            override fun onError(e: Throwable) {
                            }

                            override fun onNext(baseResponse: BaseResponse<JsonObject>) {
                                if (isLinkView) return
                                val code = baseResponse.getStatus()
                                val data = baseResponse.data
                                when (code) {
                                    200 -> {
//                                        if (data != null) {
//                                            val msg = data.getAsJsonObject("msg")
//                                            view.readSecondsSuc(msg["xinwenCoin"].asInt, msg["xinwenDoubleCoin"].asInt, msg["xinwenSupr"].asInt)
//                                        }
                                    }
                                    else -> view.showToast(baseResponse.getMessage())
                                }
                            }
                        })
    }

}