package com.mints.goodmoney.common

import com.mints.goodmoney.BuildConfig
import com.mints.goodmoney.manager.UserManager

object Constant {



    /**
     * 首次弹出权限声明
     */
    const val LOAN_PERMISSION_FLAG = "loan_permission_flag"

    /**
     * 获取TAGNAME
     */
    const val TAG_NAME = "SUN"

    /**
     * app名称
     */
    const val MINTS_APP_NAME = "好赚钱"

    /**
     * 应用包名
     */
    const val MINTS_PKG_NAME = "com.mints.goodmoney"

    /**
     * 退出广播tag
     */
    const val ACTION_EXIT_APP = "package.exit"

    /**
     * 是否首次使用(安装后才是首次使用)
     */
    const val FIRST_USE_KEY = "app_first_use"

    /**
     * 默认的加密向量
     */
    const val DEFAULT_CHANNEL_SECRET = "mail.gs.com@2x222$#bbb#2"

    /**
     * 自定义版本控制，为升级后做预操作
     */
    const val CUSTOM_VERSION = "custom_version"

    /**
     * 是否第一次打开app的标示的key,在SplashActivity界面使用
     */
    const val ISFIRSTENTER = "isfirstenter"

    /**
     * 我的页面第一次邀请提醒
     */
    const val FIRST_SHARE_MY = "first_share_my"

    /**
     * 分红页面第一次邀请提醒
     */
    const val FIRST_SHARE_INVITED = "first_share_invited"

    /**
     * app应用首页 0-主页 1-横屏视频 2-pan 3-friends 4-我
     */
    const val FRAGMENT_CLICK_ONE = 0
    const val FRAGMENT_CLICK_TWO = 1
    const val FRAGMENT_CLICK_THREE = 2
    const val FRAGMENT_CLICK_FOUR = 3
    const val FRAGMENT_CLICK_FIVE = 4

    const val FRAGMENT_TAG_ONE = "FRAGMENT_TAG_ONE"
    const val FRAGMENT_TAG_TWO = "FRAGMENT_TAG_TWO"
    const val FRAGMENT_TAG_THREE = "FRAGMENT_TAG_THREE"
    const val FRAGMENT_TAG_FOUR = "FRAGMENT_TAG_FOUR"
    const val FRAGMENT_TAG_FIVE = "FRAGMENT_TAG_FIVE"

    const val FRAGMENT_TAG_RSNEWS = "FRAGMENT_TAG_RSNEWS"

    // 协议地址
    var REGISTER_URL = BuildConfig.MainIp + "gm/register.html"//服务协议
    var PRIVACY_URL = BuildConfig.MainIp + "gm/privacy.html"//隐私协议
    var STRATEGY_URL = BuildConfig.MainIp + "gm/strategy.html"//团长攻略


    /**
     * 奖励标识
     */
    const val MAIN_CUR_COIN = "main_cur_coin" //当前金币展示
    const val MAIN_EXTRA_ID = "main_extra_id" //额外ID
    const val MAIN_CARRIER_TYPE = "main_carrier_type" //载体
    const val MAIN_CARRIER_TITLE = "main_carrier_title" //载体
    const val MAIN_AID = "main_aid" // 体验安装过APP的aid


    // 载体
    const val CARRIER_VERSUS_VIDEO = "CHALLENGE_VEDIO" //任务-视频
    const val CARRIER_CHALLENGE_TURN = "CHALLENGE_TURN" //大转盘
    const val CARRIER_SIGNIN_HOMEPAGE_CARD = "SIGNIN_HOMEPAGE_CARD" //签到翻倍
    const val CARRIER_SIGNIN_HOMEPAGE_AWARD = "SIGNIN_HOMEPAGE_AWARD" //签到奖励
    const val CARRIER_OFFLINE_DOUBLE = "OFFLINE_DOUBLE" //离线收益
    const val CARRIER_CHALLENGE_CARD = "CHALLENGE_CARD" //刮刮乐
    const val CARRIER_GAME = "GAME" //游戏
    const val CARRIER_HOMEWATER = "HOMEWATER" //喝水
    const val CARRIER_WALK = "WALK" //走路
    const val CARRIER_EATMEAL = "EATMEAL" // 打卡
    const val CARRIER_EATMEAL_SUBSIDY = "EATMEAL_SUBSIDY" //饭补
    const val CARRIER_EATMEAL_SUBSIDY_NOT = "EATMEAL_SUBSIDY_NOT" //未到时间饭补
    const val CARRIER_WALK_BUBBLE = "WALK_BUBBLE" //走路汽泡
    const val CARRIER_NEW_USER = "CARRIER_NEW_USER" //新用户红包
    const val CARRIER_NEW_VISITOR = "CARRIER_NEW_VISITOR" //游客首次登录
    const val CARRIER_GAME_ONLINE = "GAME_ONLINE" //跳转猎豹
    const val CARRIER_ZHANGYUE = "ZHANGYUE" //阅读书城
    const val CARRIER_RUISHINEWS = "RuiShiNews" //瑞狮新闻
    const val CARRIER_RUISHINEWS_DOUBLE = "RuiShiNews_DOUBLE" //瑞狮新闻翻倍
    const val CARRIER_RUISHINEWS_CHALLANGE = "RuiShiNews_CHALLANGE" //瑞狮新闻每日挑战
    const val CARRIER_CHALLENGE_SHAREFRIEND_DOUBLE = "CHALLENGE_SHAREFRIEND_DOUBLE" //邀请好友翻倍
    const val CARRIER_HOMEVEDIO = "HOMEVEDIO" //首页红包
    const val CARRIER_HOMEVEDIO_DOUBLE = "HOMEVEDIO_DOUBLE" //首页红包翻倍
    const val CARRIER_SMALLHOMEVEDIO = "SMALLHOMEVEDIO" //短视频红包
    const val CARRIER_SMALLHOMEVEDIO_DOUBLE = "SMALLHOMEVEDIO_DOUBLE" //短视频红包翻倍
    const val CARRIER_MORNING_CLOCK = "MORNING_CLOCK" //早上打卡
    const val CARRIER_DRAWCASH = "DRAWCASH" //提现
    const val CARRIER_BLACK = "BLACK" //黑名单
    const val CARRIER_HOMEVEDIO_CHALLENGE = "HOMEVEDIO_CHALLENGE" //首页视频挑战
    const val CARRIER_MINIVEDIO_CHALLENGE = "MINIVEDIO_CHALLENGE" //短视频挑战
    const val CARRIER_ZHANGYUE_CHALLENGE = "ZHANGYUE_CHALLENGE" //看小说挑战
    const val CARRIER_BLESSINGBAG = "BLESSINGBAG" //首页福袋
    const val CARRIER_BLESSINGBAG_DOUBLE = "BLESSINGBAG_DOUBLE" //首页福袋翻倍
    const val CARRIER_XMLY_CHALLENGE = "XMLY_CHALLENGE" //喜马拉雅听书
    const val CARRIER_KUYINYUE_VEDIO = "KUYINYUE_VEDIO" //酷音乐视频
    const val CARRIER_HIGH_ACTIVITY = "HIGH_ACTIVITY" //高额任务
    const val CARRIER_SHARE_NEWS = "SHARE_NEWS" //分享新闻
    const val CARRIER_CPD = "CPD" //珊瑚CPD下载试玩任务
    const val CARRIER_CPD_SYD = "CPD_SYD" //SYDCPD下载试玩任务
    const val CARRIER_CPD_USEAPP = "CPD_USEAPP" //积分墙体验试玩下载过的APP
    const val CARRIER_MC_FIRSTDOWNLOAD = "MC_FIRSTDOWNLOAD" // 牧场人生下载奖励
    const val CARRIER_FIRSTDOWNLOADS = "FIRSTDOWNLOADS" // 其他下载奖励

    const val CHALLENGE_SHAREFRIEND = "CHALLENGE_SHAREFRIEND" //邀请好友


    const val AD_SOURCE_CSJ = "CSJ"
    const val AD_SOURCE_YLH = "YLH"
    const val AD_SOURCE_SDHZ = "SDHZ" //闪电盒子
    const val AD_SOURCE_FL = "FL" //枫岚
    const val AD_SOURCE_CSJFULL = "CSJFULL"
    const val AD_SOURCE_SH = "CORAL" //珊瑚天卓
    const val AD_SOURCE_KS = "KS" //快手
    const val AD_SOURCE_RTA = "RTA" //RTA

    // 调用事件 0 成功 1失败 2点击 3-有效展示 4-去重
    const val EVENT_TYPE_ZERO = "0"
    const val EVENT_TYPE_ONE = "1"
    const val EVENT_TYPE_TWO = "2"
    const val EVENT_TYPE_THREE = "3"
    const val EVENT_TYPE_FOUR = "4"

    const val ADTYPE_VEDIO = "VEDIO" //视频广告增加积分

    // 穿山甲激励视频id
    const val CSJ_VEDIO_APPIP = "csj_vedio_appip"

    // 视频广告类型
    const val CSJ_VEDIO_AD = "CSJ_VEDIO_AD"
    const val YLH_VEDIO_AD = "YLH_VEDIO_AD"
    const val SDHZ_VEDIO_AD = "SDHZ_VEDIO_AD"
    const val FL_VEDIO_AD = "Fl_VEDIO_AD"
    const val CSJ_FULL_AD = "CSJFULL_VEDIO_AD"
    const val SH_VEDIO_AD = "SH_VEDIO_AD"
    const val KS_VEDIO_AD = "KS_VEDIO_AD"
    const val RTA_VEDIO_AD = "RTA_VEDIO_AD"

    // 信息流广告类型
    const val CSJ_EXPRESS_AD = "CSJ_EXPRESS_AD"
    const val YLH_EXPRESS_AD = "YLH_EXPRESS_AD"
    const val KS_EXPRESS_AD = "KS_EXPRESS_AD"

    // 游戏类型
    const val EVENT_TYPE_CLICK = "CLICK"
    const val EVENT_TYPE_TIME = "TIME"
    const val EVENT_TYPE_ADCLICK = "GAME_AD_CLICK"
    const val EVENT_TYPE_GAMEINFO = "GAMEINFO"

    // 热门活动类型
    //小满
    const val HOT_ACTIVITY_SHEEP = "TO_XMKJ"
    const val HOT_ACTIVITY_YYZ="TO_YYZ"
    const val HOT_ACTIVITY_WATER = "water"
    const val HOT_ACTIVITY_WALK = "walk"
    const val HOT_ACTIVITY_CARD = "card"
    const val HOT_ACTIVITY_BXM = "bianxianmao"
    const val HOT_ACTIVITY_LIEBAO = "liebao"
    const val HOT_ACTIVITY_EAT = "eat"
    const val HOT_ACTIVITY_MORNINGCLOCK = "morningclock"
    const val HOT_ACTIVITY_H5 = "h5"
    const val HOT_ACTIVITY_SCRAPPAGE = "scrapPage"
    const val HOT_ACTIVITY_DATI = "dati"
    const val HOT_ACTIVITY_CAICY = "ccy"
    const val HOT_ACTIVITY_BOOK = "readBook"
    const val HOT_ACTIVITY_NEWS = "TO_RUISHI"
    const val HOT_ACTIVITY_DHGAME = "dhGame"
    const val HOT_ACTIVITY_SHARE_NEWS = "TO_SHARE_NEWS"
    const val HOT_ACTIVITY_CPD = "TO_CPD"
    const val HOT_ACTIVITY_CALLSHOW = "TO_CALLSHOW"
    const val HOT_ACTIVITY_MOKU = "TO_MOKU"

    // 打开激活
    const val FIRST_DEVICE_FLAG = "first_device_flag"

    // 首页视频时长 单位-秒
    const val MAIN_VEDIO_TIME = "main_vedio_time"

    // 首页视频时长 单位-秒
    const val CHANNEL_SHARE = "share_goodmoney"

    // 游客首次登录弹窗
    const val FIRST_VISITOR_FLAG = "first_visitor_flag"

    // 账号合并
    const val MERGE_MOBILE = "merge_mobile"
    const val MERGE_WXOPENID = "merge_wxopenid"
    const val MERGE_KEY = "merge_key"


    // wrapper type   0-新闻 1-小说 2-平台分红 3-来电秀 4-微转
    const val WRAPPER_TYPE = "wrapper_type"
    const val WRAPPER_TYPE_NEWS = 0
    const val WRAPPER_TYPE_BOOK = 1
    const val WRAPPER_TYPE_FRIENDS = 2
    const val WRAPPER_TYPE_KYL = 3
    const val WRAPPER_TYPE_WZ = 4

    //1登录，2提现，3任务
    const val RISK_EVENT_ID_LOGIN = 1
    const val RISK_EVENT_ID_DRAWCASH = 2
    const val RISK_EVENT_ID_TASK = 3

    // 分页 条数
    const val PAGE_SIZE = 15

    // 是否是高额任务
    const val IS_HIGH_TASK = "is_high_task"

    // 高额任务分享包名变量存储
    const val HIGH_TASK_PKG_NAME = "high_task_pkg_name"

    // 外网IP地址
    const val OUT_NET_IP = "out_net_ip"

    // 蘑菇星球引导页
    const val MOKU_FLAG_GUIDE = "moku_flag_guide"

    //page
    const val ACTIVITY_ID = "activity_id"
    const val ACTIVITY_TITLE = "activity_title"
}
