package com.mints.goodmoney.manager

import android.app.Application
import com.kwad.sdk.api.KsAdSDK
import com.kwad.sdk.api.SdkConfig
import com.mints.goodmoney.BuildConfig
import com.mints.goodmoney.R

/**
 * 描述：快手联盟
 * 作者：孟崔广
 */
object KsManager {

    private const val KS_APP_ID = "551900002"

    /* splash-postid */
    const val KS_AD_SPLASH_POSTID = 5519000005

    /*信息流*/
    val KS_AD_NATIVEEXPRESS_DRAW = 5519000008
    const val KS_AD_NATIVEEXPRESS_AWARD = 5519000007

    /* vedio-postid */
    const val KS_AD_VEDIO_POSTID = 5519000006

    /**
     * 初始化
     */
    fun initKs(application: Application) {
        KsAdSDK.init(application, SdkConfig.Builder()
                .appId(KS_APP_ID) // 测试aapId，请联系快⼿平台申请正式AppId，必填
                .appName(application.getString(R.string.app_name)) // 测试appName，请填写您应⽤的名称，⾮必填
                .showNotification(true) // 是否展示下载通知栏
                .debug(BuildConfig.DEBUG) // 是否开启sdk 调试⽇志 可选
                .build())
    }

}