package com.mints.goodmoney.manager

import com.mints.goodmoney.MintsApplication
import com.snail.antifake.jni.EmulatorDetectUtil

/**
 * 描述：模拟器校验
 * 作者：孟崔广
 */
object SimulatorManager {

    /**
     * 是否是模拟器  0-不是模拟器
     */
    fun isEmulator(): Int {
        try {
            return if (EmulatorDetectUtil.isEmulator(MintsApplication.getContext())) 1 else 0
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return 0
    }
}