package com.mints.goodmoney.manager

import android.app.Activity
import android.app.Application
import android.util.Log
import com.mdad.sdk.mduisdk.AdManager
import com.mdad.sdk.mduisdk.CommonCallBack
import com.mints.goodmoney.MintsApplication


object YyzManager {
    private const val KEY = "37e179d05b23b0a"
    private const val APPID = "550"
    fun initYyz(appActivity: Application) {
        //当用户登陆了且权限具备了后执行初始化操作
        AdManager.getInstance(appActivity).init(appActivity, APPID, UserManager.getInstance().userID, KEY, object : CommonCallBack<Any?> {
            override fun onSuccess(response: String) { //初始化成功
                Log.e("hyw", "init onSuccess:$response")
            }

            override fun onFailure(response: String) { //初始化失败
                Log.e("hyw", "init onFailure:$response")
            }
        })

    }


    fun openYyzTask(activity: Activity) {
//        AdManager.getInstance(MintsApplication.getContext()).openYyzTask(activity)
        AdManager.getInstance(activity).openYyzTask(activity)

    }
}