package com.mints.goodmoney.ui.activitys

import android.view.View
import com.mints.goodmoney.R
import com.mints.goodmoney.ui.activitys.base.BaseActivity
import kotlinx.android.synthetic.main.activity_moku_guide.*

/**
 * 描述：蘑菇引导页
 * 作者：孟崔广
 * 时间：2021/3/12 17:16
 */
class MokuGuideActivity : BaseActivity(), View.OnClickListener {

    override fun getContentViewLayoutID() = R.layout.activity_moku_guide

    override fun isApplyKitKatTranslucency() = false

    override fun toggleOverridePendingTransition() = true

    override fun getOverridePendingTransitionMode() = TransitionMode.BOTTOM

    override fun finish() {
        super.finish()
        //关闭窗体动画显示
        overridePendingTransition(0, R.anim.bottom_out)
    }

    override fun initViewsAndEvents() {
        initListener()
    }

    override fun onClick(v: View?) {
        finish()
    }

    private fun initListener() {
        ivMokuGuide.setOnClickListener(this)
    }
}
